# HLAdata Class Template Reference

`#include <HLAtypesIEEE1516.hh>`

Inheritance diagram for HLAdata:

[legend]

List of all members.

## Public Member Functions
| HLAdata (size_t capacity=T::emptysizeof())
| Create new buffer.
| HLAdata (void *begin, size_t capacity)
| Create buffer from existing data.
T & | operator* () const
T * | operator-> () const
virtual const size_t | size () const
virtual void | __shake (const void *__that, int value, long resize)
| Shake the buffer.

## Detailed Description

### template<class T>
class libhla::HLAdata< T >

Definition at line 36 of file HLAtypesIEEE1516.hh.

## Constructor & Destructor Documentation

HLAdata | ( | size_t | capacity = `T::emptysizeof()` | ) | `[inline]`

Create new buffer.

Definition at line 40 of file HLAtypesIEEE1516.hh.

HLAdata | ( | void * | begin,
|  | size_t | capacity |
| ) |  |  | `[inline]`

Create buffer from existing data.

Definition at line 45 of file HLAtypesIEEE1516.hh.

References HLAdata::size().

Here is the call graph for this function:

## Member Function Documentation

T& operator* | ( |  | ) | const`[inline]`

Definition at line 53 of file HLAtypesIEEE1516.hh.

References __HLAbuffer::mBegin.

T* operator-> | ( |  | ) | const`[inline]`

Definition at line 56 of file HLAtypesIEEE1516.hh.

References __HLAbuffer::mBegin.

virtual const size_t size | ( |  | ) | const`[inline, virtual]`

Implements __HLAbuffer.

Definition at line 59 of file HLAtypesIEEE1516.hh.

References __HLAbuffer::mBegin.

Referenced by HLAdata::__shake(), and HLAdata::HLAdata().

virtual void __shake | ( | const void * | __that,
|  | int | value,
|  | long | resize |
| ) |  |  | `[inline, virtual]`

Shake the buffer.

Implements __HLAbuffer.

Definition at line 67 of file HLAtypesIEEE1516.hh.

References __HLAbuffer::__exchange_buffers(), __HLAbuffer::mBegin, __HLAbuffer::mCapacity, __HLAbuffer::mShakeThat, __HLAbuffer::mShakeValue, __HLAbuffer::mUserAllocated, and HLAdata::size().

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- HLAtypesIEEE1516.hh